Bug 104494 - The convert_to_html function is missing.
The convert_to_html function is missing.
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
:
Depends On:
Blocks: 100952
  Show dependency treegraph
 
Reported: 2003-09-16 09:01 EDT by Daniel Berrange
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-22 10:53:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-09-16 09:01:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
If I start a server running only WAF (ie no CMS), then the MimeTypeInitializer
fails with the following:

2003-09-16 13:33:24,483 [ main] INFO  initializer.Script - Running initializer
com.arsdigita.mimetypes.MimeTypeInitializer (26 of 28 complete)
2003-09-16 13:33:25,061 [ main] ERROR converters.ConvertFormat -
PreConvertHTML.toHTML failed.
java.sql.SQLException: ORA-06550: line 1, column 13:
PLS-00201: identifier 'CONVERT_TO_HTML' must be declared
ORA-06550: line 1, column 7:
PL/SQL: Statement ignored

        at oracle.jdbc.dbaccess.DBError.throwSqlException(DBError.java:180)
        at oracle.jdbc.oci8.OCIDBAccess.check_error(OCIDBAccess.java(Compiled Code))
        at oracle.jdbc.oci8.OCIDBAccess.executeFetch(OCIDBAccess.java:1371)
        at oracle.jdbc.oci8.OCIDBAccess.parseExecuteFetch(OCIDBAccess.java:1483)
        at
oracle.jdbc.driver.OracleStatement.executeNonQuery(OracleStatement.java:1839)
        at
oracle.jdbc.driver.OracleStatement.doExecuteOther(OracleStatement.java:1764)
        at
oracle.jdbc.driver.OracleStatement.doExecuteWithTimeout(OracleStatement.java:2354)
        at
oracle.jdbc.driver.OraclePreparedStatement.executeUpdate(OraclePreparedStatement.java:421)
        at
oracle.jdbc.driver.OraclePreparedStatement.execute(OraclePreparedStatement.java:486)
        at com.arsdigita.db.PreparedStatement.doExecute(PreparedStatement.java:213)
        at com.arsdigita.db.PreparedStatement.execute(PreparedStatement.java:184)
        at
com.arsdigita.mimetypes.converters.ConvertFormat.toHTML(ConvertFormat.java:82)
        at
com.arsdigita.mimetypes.MimeTypeInitializer.testINSOFilter(MimeTypeInitializer.java:243)
        at
com.arsdigita.mimetypes.MimeTypeInitializer.doStartup(MimeTypeInitializer.java:220)
        at com.arsdigita.kernel.BaseInitializer$1.excurse(BaseInitializer.java:53)
        at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
        at com.arsdigita.kernel.BaseInitializer.startup(BaseInitializer.java:56)
        at com.arsdigita.initializer.Script.startup(Script.java:200)
        at com.arsdigita.initializer.Script.startup(Script.java:162)
        at
com.arsdigita.dispatcher.InitializerServlet.init(InitializerServlet.java:69)
        at javax.servlet.GenericServlet.init(GenericServlet.java:82)
        at com.caucho.server.http.Application.createServlet(Application.java:3111)
        at com.caucho.server.http.Application.loadServlet(Application.java:3062)
        at com.caucho.server.http.Application.initServlets(Application.java:1923)
        at com.caucho.server.http.Application.init(Application.java:1849)
        at com.caucho.server.http.VirtualHost.init(VirtualHost.java:728)
        at com.caucho.server.http.ServletServer.initHosts(ServletServer.java:885)
        at com.caucho.server.http.ServletServer.initInternal(ServletServer.java:727)
        at com.caucho.server.http.ServletServer.init(ServletServer.java:538)
        at com.caucho.server.http.ResinServer.init(ResinServer.java:391)
        at com.caucho.server.http.ResinServer.main(ResinServer.java:1152)
        at com.caucho.server.http.HttpServer.main(HttpServer.java:103)



A quick grep through the source code shows that the SQL create script for this
function was not moved into WAF, when the mimestypes were moved out of CMS:

dan@camden$ find core/ -type f -name *.sql |xargs grep -i convert_to_html
core/sql/oracle-se-create.sql:@@ oracle-se/mimetypes/index-convert_to_html_index.sql
core/sql/oracle-se/mimetypes/index-convert_to_html_index.sql:-- $Id:
//core-platform/6.0/sql/oracle-se/mimetypes/index-convert_to_html_index.sql#1 $
core/sql/oracle-se/mimetypes/index-convert_to_html_index.sql:create index
convert_to_html_index on pre_convert_html(content) indextype is
core/sql/oracle-se/upgrade/5.2.1-6.0.0/mime-types.sql:    execute immediate
'drop index convert_to_html_index';
core/sql/oracle-se/upgrade/5.2.1-6.0.0/mime-types.sql:create index
convert_to_html_index on pre_convert_html(content) indextype is
dan@camden$ 



dan@camden$ find cms/ -type f -name *.sql |xargs grep -i convert_to_html
cms/sql/default/content-section/function-convert_to_html.sql:-- $Id:
//cms/dev/sql/default/content-section/function-convert_to_html.sql#3 $
cms/sql/default/content-section/function-convert_to_html.sql:create or replace
function convert_to_html (
cms/sql/default/content-section/function-convert_to_html.sql:     
ctx_doc.filter('convert_to_html_index', v_doc_id, 
cms/sql/default/content-section/function-convert_to_html.sql:end convert_to_html;
cms/sql/oracle-se-create.sql:@@ default/content-section/function-convert_to_html.sql
cms/sql/oracle-se-drop.sql:drop function convert_to_html;
cms/sql/oracle-se/upgrade/5.1.0-5.2.0/function-convert_to_html.sql:-- $Id:
//cms/dev/sql/oracle-se/upgrade/5.1.0-5.2.0/function-convert_to_html.sql#2 $
cms/sql/oracle-se/upgrade/5.1.0-5.2.0/function-convert_to_html.sql:create or
replace function convert_to_html (
cms/sql/oracle-se/upgrade/5.1.0-5.2.0/function-convert_to_html.sql:     
ctx_doc.filter('convert_to_html_index', v_doc_id, 
cms/sql/oracle-se/upgrade/5.1.0-5.2.0/function-convert_to_html.sql:end
convert_to_html;
cms/sql/postgres-create.sql:--\i
default/content-section/function-convert_to_html.sql
cms/sql/postgres-drop.sql:--drop function convert_to_html(integer);
cms/sql/postgres/content-section/function-convert_to_html.sql:-- $Id:
//cms/dev/sql/postgres/content-section/function-convert_to_html.sql#3 $
cms/sql/postgres/content-section/function-convert_to_html.sql:create or replace
function convert_to_html (
cms/sql/postgres/content-section/function-convert_to_html.sql:     
ctx_doc.filter('convert_to_html_index', v_doc_id, 
cms/sql/postgres/content-section/function-convert_to_html.sql:end convert_to_html;
cms/sql/upgrade/oracle-se-5.1.0-5.2.0.sql:@@
../oracle-se/upgrade/5.1.0-5.2.0/function-convert_to_html.sql
dan@camden$ 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Load WAF data model on Oracle (NB, do not load CMS)
2. Start the server

    

Actual Results:  MimeTypeInitializer fails

Expected Results:  Server starts normally.

Additional info:
Comment 1 Dennis Gregorovic 2003-12-15 17:52:25 EST
@38832
Comment 2 Dennis Gregorovic 2004-12-22 10:53:10 EST
closing out old CCM tickets

Note You need to log in before you can comment on or make changes to this bug.